# https://github.com/rastersoft/devedeng/archive/4.10.0.tar.gz

Name:           devedeng
Version:        4.16.0
Release:        %mkrel 2
Summary:        Graphical frontend to create video DVDs
Summary(de):    Grafische Oberfläche zum Erzeugen von Video DVDs

License:        GPL
Group:          Video
URL:	          http://www.rastersoft.com/programas/devede.html
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.png

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       dvdauthor
Requires:       ffmpeg
Requires:       mencoder
Requires:       mkisofs
Requires:       mplayer
Requires:       pygtk2.0
Requires:       pygtk2.0-libglade
Requires:       python-dbus
Requires:       python3
Requires:       python3-six
Requires:       python3-urllib3
Requires:       python3-cairo
Requires:       python3-gobject3
Requires:       python-backports-ssl_match_hostname
Requires:       python3-setuptools
Requires:       vcdimager
%rename         %{name}

%description
DeVeDe allows to create video DVDs, suitable to be reproduced in home DVD players.

%description -l de
DeVeDe erlaubt es Video DVDs zu erzeugen, die dafür geeignet sind in einem Heim-DVD-Player
abgespielt zu werden.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

#MENU
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/devede_ng.py.desktop

# devede icon
mkdir -p %buildroot/%_datadir/pixmaps/
install -m 644 %SOURCE1  %buildroot%_datadir/pixmaps/%{name}.png

#backward compatible link
ln -s %{_bindir}/devede_ng.py %buildroot/%{_bindir}/devede

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/copy_files_verbose.py
%{_bindir}/devede_ng.py
%{_bindir}/devede
%{python3_sitelib}/*
%{_datadir}/applications/devede_ng.py.desktop
%{_datadir}/devedeng
%{_datadir}/pixmaps
%{_datadir}/doc/devedeng
%{_datadir}/man/man1/devede.1.bz2
%{_datadir}/icons/hicolor/scalable/apps/devedeng_icon.svg

%changelog
* Thu Aug 25 2022 TerryN <terryn94 at gmail.com>  4.16.0-2pclos2022
- rebuild for python 3.10

* Fri Jul 17 2020 tex - 4.16.0-1pclos2020
- new version

* Tue Jul 23 2019 tex - 4.15.0-1pclos2019
- new version

* Thu Feb 07 2019 tex - 4.14.0-1pclos2019
- new version

* Fri Feb 01 2019 tex - 4.13.0-1pclos2019
- new version

* Fri May 04 2018 tex - 4.11.0-1pclos2018
- new version

* Mon Apr 30 2018 marcin82 <fixxer1982 at gmail.com> 4.10.0-1pclos2018
- update, added R: ffmpeg

* Tue Apr 17 2018 bb2 <bb2> - 4.9.0-1pclos2018
 -new version

* Fri Jan 26 2018 bb2 <bb2> - 4.8.12-1pclos2018
- new version

* Wed Feb 08 2017 bb <bb> - 4.8.8-1pcclos2017
- new version

* Wed Mar 16 2016 bb <bb> 4.6.1-1pclos2016
- update

* Tue Jan 19 2016 bb <bb> 4.4-1pclos2016
- update

* Wed Oct 28 2015 bb <bb> 4.3-1pclos2015
- update

* Sat Sep 12 2015 bb <bb> 4.2-1pclos2015
- update
